Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Andrea Corallo <[email-masked]>
Date: Sat, 06 Mar 2021 20:19:25 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sat, 06 Mar 2021 19:19:16 +0000
>> 
>> > When compiled with -O2 and linked against libgccjit, it crashes with
>> > the following backtrace:
>> 
>> Okay I believe this is clearly a libgccjit bug.  The attached reproducer
>> is not crashing on my 32bit setup based on a recent GCC trunk.
>> 
>> Could you remind me exactly which libgccjit version are you using?
>
> It's from GCC 9.2.0 (yours is probably GCC 10 or even more recent?).
> The GCC 9.2.0 tree, and in particular libgccjit itself, was patched to
> build successfully on Windows, but looking at the patches I cannot see
> anything that could explain crashes in just one or a small number of
> Lisp files.

I can build 9.2.0 and try but will take a while on my 32bit env, will
report (mine on this setup was a very recent trunk).

  Andrea